Skip to main content
POST
/
v1
/
agents
/
async
Agent Async
curl --request POST \
  --url https://sdk.nimbleway.com/v1/agents/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent": "google_search",
  "params": {
    "query": "What happened last night in the NBA?",
    "storage_url": "s3://mu-s3-bucket.com/",
    "storage_type": "s3",
    "callback_url": "https://my-callback-url.com/"
  }
}
'
{
  "status": "success",
  "task": {
    "id": "8e8cfde8-345b-42b8-b3e2-0c61eb11e00f",
    "state": "pending",
    "created_at": "2026-01-24T12:36:24.685Z",
    "modified_at": "2026-01-24T12:36:24.685Z",
    "input": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body model for the /agent/run endpoint

agent
string
required

The agent's name to execute

Example:

"google_search"

params
object
required

The agent's input parameters, for example query, prodcut_id, etc. Depands on the agent used.

Example:
{
"params": {
"keyword": "iphone 17",
"zip_code": "90210"
}
}
localization
boolean

Controls if localization sould be enabled (default false). Some agent support localization based on zip_code or store_id on the site it self. Relevant only when agent is supporting localization

formats
enum<string>[]

Output formats to include in the response alongside data.parsing. By default, only structured parsed data is returned.

Available options:
html,
markdown,
headers

Response

Async Task Created

status
string
required
Example:

"success"

task
object
required